Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.ejb.client.impl
Class JBossEJBClientServiceFactory

    java.lang.Object
      org.jbpm.services.ejb.client.impl.JBossEJBClientServiceFactory

All Implemented Interfaces:
  ClientServiceFactory

    public class JBossEJBClientServiceFactory

extends Object
implements ClientServiceFactory

JBoss specific (AS 7 / EAP6 / WildFly 8) implementation of `ClientServiceFactory` that is responsible for remote EJB look up.

Constructor Summary
`JBossEJBClientServiceFactory()`

Method Summary
`String` | `getName()` Returns unique name of given factory implementation
`
`<T> T`
` | `getService(String application, Class<T> serviceInterface)` Returns remote view of given service interface from selected application

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossEJBClientServiceFactory

    public JBossEJBClientServiceFactory()

Method Detail

### getService

    public <T> T getService(String application,
                            Class<T> serviceInterface)
                 throws NamingException

  Description copied from interface: `ClientServiceFactory`
  Returns remote view of given service interface from selected application

  Specified by:
    `getService` in interface `ClientServiceFactory`
  Parameters:
    `application` - application identifier on the container
    `serviceInterface` - remote service interface to be found
  Returns:
  Throws:
    `NamingException`

### getName

    public String getName()

  Description copied from interface: `ClientServiceFactory`
  Returns unique name of given factory implementation

  Specified by:
    `getName` in interface `ClientServiceFactory`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.